<?php
/**
 * @copyright
 */

defined('_JEXEC') or die;

/**
 * Class __nameCamelcase__Dispatcher
 */
class __nameCamelcase__Dispatcher extends F0FDispatcher
{
	/**
	 * @return bool
	 */
	public function onBeforeDispatch()
	{
		if (F0FPlatform::getInstance()->isBackend())
		{
			// Stylize select dropdown as Joomla says
			if (version_compare(JVERSION, '3.0.0', 'gt'))
			{
				JHtml::_('formbehavior.chosen', 'select');
			}
		}

		// Load default helper with unconventional name
		JLoader::import('helpers.vivi', __DIR__);

		// Load helpers and behaviors
		JLoader::discover('__nameCamelcase__Helper', __DIR__ . '/helpers');
		JLoader::discover('F0FModelBehavior', __DIR__ . '/models/behaviors');

		return parent::onBeforeDispatch();
	}
}