<?php
/**
 * @copyright
 */

defined('_JEXEC') or die;

/**
 * Class __nameCamelcase__ViewDefault
 */
class __nameCamelcase__ViewDefault extends F0FViewHtml
{
	/**
	 * @return mixed|null|string
	 */
	public function setPageTitle()
	{
		// Compose initial page title, let FOF do it
		$title = parent::setPageTitle();

		// If we are in a single item page (id present)
		if ($this->input->getInt('id'))
		{
			$doc = JFactory::getDocument();

			// Set item title as page title
			$title = $this->item->title . ' - ' . $title;
			$doc->setTitle($this->item->title);

			// Set meta description of this project
			if (!empty($this->item->meta_description))
			{
				$doc->setDescription($this->item->meta_description);
			}
		}

		return $title;
	}
}